Subject: RE: IETF contacts? - Fwd: Reference to historic or obsolated RFCs

From: "George, Wes" <[email-masked]>
Date: Mon, 6 Aug 2012 12:09:44 -0400

Adding 6man, since the RFCs referenced are from that working group.

Speaking as the author of 6547, which I wrote to fix the fact that 6164 didn't formally obsolete 3627 when it changed IETF's guidance on the matter, I didn't know about the other RFCs that cited 3627 regarding the use of /127s, mainly because I didn't realize at the time that this page existed: http://www.arkko.com/tools/allstats/citations-rfc3627.html
I suppose that WGLC and IETF LC reviews should have pointed these omissions out, but alas we all missed it.

That said, each of the references in those other RFCs will point to 3627, and when one looks up 3627, it will note that it is obsoleted by 6547, which points to the updated guidance in 6164. It's convoluted, but will eventually get you to the right (current) guidance.

Question to the WG (and to Barry, given his recent guidance on Errata) - would it be appropriate to file an errata on 6547 noting the additional RFCs that it should be updating, is this a matter of issuing a 6547-bis, or does it simply not matter?

Thanks,

Wes George

> -----Original Message-----
> From: Livio Zanol Puppim [mailto:[email-masked]]
> Sent: Monday, August 06, 2012 10:11 AM
> To: NANOG list
> Subject: IETF contacts? - Fwd: Reference to historic or obsolated RFCs
>
> Hello guys,
>
> I've sent the e-mail below to IETF, but I couldn't find a contact e-mail
> to address this kind of subject in IETF site. Does anybody knows which
> e-mail to send this?
>
> The contact page from IETF website:
> http://www.ietf.org/contact-the-ietf.html
>
> ---------- Forwarded message ----------
> From: Livio Zanol Puppim <[email-masked]>
> Date: 2012/8/6
> Subject: Reference to historic or obsolated RFCs
> To: [email-masked], [email-masked]
>
>
> Hello,
>
> I don't know which contact to send this e-mail, so I'm copying the INFO
> and ACTION e-mail... If these are the wrong contact, can you please
> point me the correct e-mail?
>
> Reading the *RFC 5375* I've found references to some RFCs that are
> considered Historic, or have been updated. In some cases, this can lead
> to a misunderstand of a a section in a RFC.
>
> For example:
> The* RFC 5375* in section *B.2.2* states that we should avoid using /127
> IPv6 prefix, but* RFC 6164* clearly says that we can use /127 prefix for
> Inter-Router links. In fact, the *RFC 6547*, moves the *RFC
> 3627*(referenced by the
> * RFC 5375* in the above section) to Historic status.
>
> If my point of view is indeed correct, I think that everytime a new RFC
> is published that proposes an *Update* to another RFC, or *Obsoletes*
> another RFC or moves a RFC to *Historic *status, the team responsible
> for it's creation needs to read every reference to that RFC and request
> changes in order to avoid this kind of misunderstanding. This is very
> important to guys like me, that only reads the RFCs.
>
> the section from RFC 5375
> http://tools.ietf.org/html/rfc5375#appendix-B.2.2
>
> "
>
>
> B.2.2 <http://tools.ietf.org/html/rfc5375#appendix-B.2.2>.  /127
> Addresses
>
>    The usage of the /127 addresses, the equivalent of IPv4's RFC 3021
> <http://tools.ietf.org/html/rfc3021>
>    [RFC3021 <http://tools.ietf.org/html/rfc3021>], is not valid and
> should be strongly discouraged as
>    documented in RFC 3627 <http://tools.ietf.org/html/rfc3627>
> [RFC3627 <http://tools.ietf.org/html/rfc3627>].
>
> "
>
> --
> []'s
>
> Lívio Zanol Puppim
>
>
>
> --
> []'s
>
> Lívio Zanol Puppim

This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.

---

From: SM <[email-masked]>
Date: Mon, 06 Aug 2012 23:03:26 -0700

At 09:09 06-08-2012, George, Wes wrote:
>Question to the WG (and to Barry, given his recent guidance on 
>Errata) - would it be appropriate to file an errata on 6547 noting 
>the additional RFCs that it should be updating, is this a matter of 
>issuing a 6547-bis, or does it simply not matter?

RFC 6547 moves RFC 3627 to Historic.  I don't see any reason to 
reopen it with a -bis.  Please see 
https://www.ietf.org/iesg/statement/rfc-metadata-errata.html

Regards,
-sm

---

From: Brian Haberman <[email-masked]>
Date: Tue, 07 Aug 2012 06:49:06 -0400

On 8/6/12 12:09 PM, George, Wes wrote:
> Speaking as the author of 6547, which I wrote to fix the fact that
> 6164 didn't formally obsolete 3627 when it changed IETF's guidance on
> the matter, I didn't know about the other RFCs that cited 3627
> regarding the use of /127s, mainly because I didn't realize at the
> time that this page existed:
> http://www.arkko.com/tools/allstats/citations-rfc3627.html I suppose
> that WGLC and IETF LC reviews should have pointed these omissions
> out, but alas we all missed it.
>
> That said, each of the references in those other RFCs will point to
> 3627, and when one looks up 3627, it will note that it is obsoleted
> by 6547, which points to the updated guidance in 6164. It's
> convoluted, but will eventually get you to the right (current)
> guidance.
>

I am not sure what an errata statement would say in this context.  It is 
not the responsibility of 6164 to fix all references to 3627.

Regards,
Brian

---

From: Barry Leiba <[email-masked]>
Date: Wed, 8 Aug 2012 00:39:28 -0400

Hi, guys.

> Question to the WG (and to Barry, given his recent guidance on Errata) - would
> it be appropriate to file an errata on 6547 noting the additional RFCs that it should
> be updating, is this a matter of issuing a 6547-bis, or does it simply not matter?

This has come up with some other documents, as well (RFCs 5375 and
6164).  I'm checking on this with the rest of the IESG and the RFC
Editor, but here's what I think:

As I understand it, we don't need to use the errata system for this.
The updates/obsoletes information is in the RFC metadata.  We could
process this as an IESG management item to update the metadata in the
RFCs to indicate what updates what.  From a procedural point of view,
I'm not sure whether we would need (or want) to last-call that action
before we did it.

Barry